Bug 539 - Fatal error: Cannot load command `./install-sh': Bad file number
Fatal error: Cannot load command `./install-sh': Bad file number
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0
All Solaris
: P3 trivial
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-30 09:03 UTC by Zalimgery Kh.Shakov
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zalimgery Kh.Shakov 2003-09-30 09:03:48 UTC
./install-sh -c bin/libsmbclient.so /test/lib
mksh: Fatal error: Cannot load command `./install-sh': Bad file number
Current working directory /home/remake/samba-3.0.0/source
*** Error code 1 (ignored)
: bin/libsmbclient.a /test/lib
./install-sh -c /home/remake/samba-
3.0.0/source/include/libsmbclient.h /test/include
mksh: Fatal error: Cannot load command `./install-sh': Bad file number
Current working directory /home/remake/samba-3.0.0/source
*** Error code 1 (ignored)

==================================
solution:

chmod 755 source/install-sh
Comment 1 Gerald (Jerry) Carter 2003-09-30 10:46:06 UTC
This was a packaging error fixed for 3.0.1
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:54 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:31:13 UTC
database cleanup